Subject: [Bmcu] Sheet Metal work

From: Chuck Killian <[email-masked]>
Date: Wed, 26 Jun 2013 11:36:16 -0600

All,

I have a 1971 TR6 sitting in my garage. It ran when when I put it there.

Still trying to decide whether to get it running or sell it.

Major issue is that the left front sheet metal, inner and outer panels,
valence are crumpled. Hood is OK. It was run into a wall.  Under
carriage is OK, near as I can tell.  I have driven it. Probably have to
get after market replacements for the sheet metal.

Can someone recommend a good body man/shop that could do that work? That
kind of thing is way beyond me.

Chuck...

_______________________________________________
[email-masked]
Archive: http://www.team.net/archive